# This file created by conda-build 24.7.1
# meta.yaml template originally from:
# /opt/recipe, last modified Mon May 12 11:17:31 2025
# ------------------------------------------------

package:
  name: libcifpp
  version: 8.0.1
source:
  sha256: 53f0ff205711428dcabf9451b23804091539303cea9d2f54554199144ca0fc4e
  url: https://github.com/PDB-REDO/libcifpp/archive/v8.0.1.tar.gz
build:
  number: '0'
  run_exports:
    - libcifpp >=8.0.1,<9.0a0
  string: h077b44d_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - autoconf 2.72 pl5321hbb4ee43_0
    - automake 1.17 pl5321ha770c72_0
    - binutils_impl_linux-64 2.43 h4bf12b8_4
    - binutils_linux-64 2.43 h4852527_4
    - bzip2 1.0.8 h4bc722e_7
    - c-ares 1.34.5 hb9d3cd8_0
    - ca-certificates 2025.4.26 hbd8a1cb_0
    - cmake 4.0.2 h74e3db0_0
    - gcc_impl_linux-64 13.3.0 h1e990d8_2
    - gcc_linux-64 13.3.0 hc28eda2_10
    - gxx_impl_linux-64 13.3.0 hae580e1_2
    - gxx_linux-64 13.3.0 h6834431_10
    - kernel-headers_linux-64 3.10.0 he073ed8_18
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.21.3 h659f571_0
    - ld_impl_linux-64 2.43 h712a8e2_4
    - libcurl 8.13.0 h332b0f4_0
    - libedit 3.1.20250104 pl5321h7949ede_0
    - libev 4.33 hd590300_2
    - libexpat 2.7.0 h5888daf_0
    - libgcc 15.1.0 h767d61c_2
    - libgcc-devel_linux-64 13.3.0 hc03c837_102
    - libgcc-ng 15.1.0 h69a702a_2
    - libgomp 15.1.0 h767d61c_2
    - libltdl 2.4.3a h5888daf_0
    - liblzma 5.8.1 hb9d3cd8_1
    - libnghttp2 1.64.0 h161d5f1_0
    - libsanitizer 13.3.0 he8ea267_2
    - libssh2 1.11.1 hcf80075_0
    - libstdcxx 15.1.0 h8f9b012_2
    - libstdcxx-devel_linux-64 13.3.0 hc03c837_102
    - libstdcxx-ng 15.1.0 h4852527_2
    - libtool 2.5.4 h5888daf_0
    - libuv 1.50.0 hb9d3cd8_0
    - libxcrypt 4.4.36 hd590300_1
    - libzlib 1.3.1 hb9d3cd8_2
    - m4 1.4.18 h516909a_1001
    - make 4.4.1 hb9d3cd8_2
    - ncurses 6.5 h2d0b736_3
    - ninja 1.12.1 hff21bea_1
    - openssl 3.5.0 h7b32b05_1
    - perl 5.32.1 7_hd590300_perl5
    - pkg-config 0.29.2 h4bc722e_1009
    - rhash 1.4.5 hb9d3cd8_0
    - sysroot_linux-64 2.17 h0157908_18
    - tzdata 2025b h78e105d_0
    - zstd 1.5.7 hb8e6e7a_2
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.43 h4bf12b8_4
    - boost-cpp 1.85.0 h3c6214e_4
    - bzip2 1.0.8 h4bc722e_7
    - ca-certificates 2025.4.26 hbd8a1cb_0
    - clang 20.1.4 default_hfa515fb_0
    - clang-20 20.1.4 default_h1df26ce_0
    - clang-format 20.1.4 default_h1df26ce_0
    - clang-format-20 20.1.4 default_h1df26ce_0
    - clang-tools 20.1.4 default_h1df26ce_0
    - clangdev 20.1.4 default_h1df26ce_0
    - clangxx 20.1.4 default_h0982aa1_0
    - eigen 3.4.0 h00ab1b0_0
    - icu 75.1 he02047a_0
    - kernel-headers_linux-64 3.10.0 he073ed8_18
    - ld_impl_linux-64 2.43 h712a8e2_4
    - libboost 1.85.0 h0ccab89_4
    - libboost-devel 1.85.0 h00ab1b0_4
    - libboost-headers 1.85.0 ha770c72_4
    - libclang 20.1.4 default_h1df26ce_0
    - libclang-cpp 20.1.4 default_h1df26ce_0
    - libclang-cpp20.1 20.1.4 default_h1df26ce_0
    - libclang13 20.1.4 default_he06ed0a_0
    - libexpat 2.7.0 h5888daf_0
    - libffi 3.4.6 h2dba641_1
    - libgcc 15.1.0 h767d61c_2
    - libgcc-devel_linux-64 15.1.0 h4c094af_102
    - libgcc-ng 15.1.0 h69a702a_2
    - libgomp 15.1.0 h767d61c_2
    - libiconv 1.18 h4ce23a2_1
    - libllvm20 20.1.4 he9d0ab4_0
    - liblzma 5.8.1 hb9d3cd8_1
    - liblzma-devel 5.8.1 hb9d3cd8_1
    - libmpdec 4.0.0 h4bc722e_0
    - libsqlite 3.49.2 hee588c1_0
    - libstdcxx 15.1.0 h8f9b012_2
    - libstdcxx-devel_linux-64 15.1.0 h4c094af_102
    - libstdcxx-ng 15.1.0 h4852527_2
    - libuuid 2.38.1 h0b41bf4_0
    - libxml2 2.13.8 h4bc477f_0
    - libzlib 1.3.1 hb9d3cd8_2
    - llvm-tools 20.1.4 h84d6215_0
    - llvm-tools-20 20.1.4 h48f18f5_0
    - llvmdev 20.1.4 h48f18f5_0
    - llvmlite 0.44.0 py313h1b76d92_1
    - ncurses 6.5 h2d0b736_3
    - openssl 3.5.0 h7b32b05_1
    - pip 25.1.1 pyh145f28c_0
    - python 3.13.3 hf636f53_101_cp313
    - python_abi 3.13 7_cp313
    - readline 8.2 h8c095d6_2
    - sysroot_linux-64 2.17 h0157908_18
    - tk 8.6.13 noxft_h4845f30_101
    - tzdata 2025b h78e105d_0
    - xz 5.8.1 hbcc6ac9_1
    - xz-gpl-tools 5.8.1 hbcc6ac9_1
    - xz-tools 5.8.1 hb9d3cd8_1
    - zlib 1.3.1 hb9d3cd8_2
    - zstd 1.5.7 hb8e6e7a_2
  run:
    - boost-cpp
    - eigen
    - libgcc >=13
    - libstdcxx >=13
    - libzlib >=1.3.1,<2.0a0
test:
  commands:
    - test -e $PREFIX/lib/libcifpp.a
about:
  dev_url: https://github.com/PDB-REDO/libcifpp
  doc_url: https://pdb-redo.github.io/libcifpp
  home: https://github.com/PDB-REDO/libcifpp
  license: BSD-2-Clause
  license_family: BSD
  license_file: LICENSE
  summary: Library containing code to manipulate mmCIF and PDB files.
extra:
  additional-platforms:
    - linux-aarch64
    - osx-arm64
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - multimeric
